<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="质量设计制程">
    
	<query id="CraftOrdDesignMscPlDAL.query" desc="查询质量设计制程">
		<![CDATA[
 SELECT 
       T.DESGIN_KEY,
       T.MSC_PLINE,
       T.WHOLE_BACKLOG,
       T.WHOLE_BACKLOG_DESC,
       T.SET_FL,
       DECODE(T.SET_FL, '1', '是', '否') SET_FL_DESC,
       T.WARN_DESC,
       T.ORD_LN_PK
 FROM Craft_ORD_DESIGN_MSC_PL T
 WHERE
T.DESGIN_KEY = '#DESGIN_KEY#'
AND DECODE('#MSC_PLINE#', NULL, '1', T.MSC_PLINE) = DECODE('#MSC_PLINE#', NULL, '1', '#MSC_PLINE#')
		]]>
	</query>
	
	<query id="CraftOrdDesignMscPlDAL.queryMscPlineByDesignKey" desc="查询质量设计制程">
		<![CDATA[
SELECT T.MSC_PLINE, T.WHOLE_BACKLOG, T.WHOLE_BACKLOG_DESC
  FROM CRAFT_ORD_DESIGN_MSC_PL T
 WHERE T.DESGIN_KEY = {0}
		]]>
	</query>
	
	<query id="CraftOrdDesignMscPlDAL.queryMscPlineProcess" desc="查询质量设计制程与工序">
		<![CDATA[
SELECT T.MSC_PLINE,
       T.WHOLE_BACKLOG,
       T.WHOLE_BACKLOG_DESC,
       A.PROCESS_DESC,
       A.PROCESS_CODE,
       A.PROCESS_DESC_C,
       A.PROCESS_CODE_C,
       A.CIC,
       A.PIC,
       A.DIC,
       A.SIC,
       A.WIC,
       A.GIC
  FROM CRAFT_ORD_DESIGN_MSC_PL T, CRAFT_ORD_DESIGN_MSC_PL_PRC A
 WHERE T.DESGIN_KEY = {0}
   AND A.DESGIN_KEY = T.DESGIN_KEY
   AND A.MSC_PLINE = T.MSC_PLINE
		]]>
	</query>
</queryMap>